@startuml
Activate Sender

Sender -> Broker1 : stanza(to@domain2,type,content)

Activate Broker1
Deactivate Sender

Broker1 -> Broker1 : lookup(domain)

Broker1 -> Broker2 : connect

Activate Broker2

Broker2 -> Broker2 : validate

Broker1 <- Broker2 : dialback

Activate Broker1

Broker1 -> Broker1 : validate

Broker1 -> Broker2 : stanza(from@domain1,to@domain2,type,content)

Deactivate Broker1
Deactivate Broker1
Activate Broker2

Broker2 -> Receiver : stanza(from@domain1,to@domain2,type,content)

Deactivate Broker2
Deactivate Broker2
Activate Receiver
@enduml